Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.eval
Interface ICompiledExpression

public interface ICompiledExpression

A compiled expression can be compiled once and evaluated multiple times in a runtime context.

Clients are not intended to implement this interface.

Since:
  2.0
See Also:
  `IAstEvaluationEngine`

Method Summary
`String[]` | `getErrorMessages()` Returns an array of problem messages.
`Message[]` | `getErrors()` Deprecated. use getErrorMessages()
`String` | `getSnippet()` Returns the source snippet from which this compiled expression was created.
`boolean` | `hasErrors()` Returns whether this compiled expression has any compilation errors.

Method Detail

### getSnippet

    public String getSnippet()

  Returns the source snippet from which this compiled expression was created.

  Returns:
    the source snippet from which this compiled expression was created

### hasErrors

    public boolean hasErrors()

  Returns whether this compiled expression has any compilation errors.

  Returns:
    whether this compiled expression has any compilation errors

### getErrors

    public Message[] getErrors()

  Deprecated. use getErrorMessages()

  Returns any errors which occurred while creating this compiled expression.

  Returns:
    any errors which occurred while creating this compiled expression

### getErrorMessages

    public String[] getErrorMessages()

  Returns an array of problem messages. Each message describes a problem that occurred while while creating this compiled expression.

  Returns:
    error messages, or an empty array if no errors occurred
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.